;InnoSetupVersion=4.0.9

[Setup]
AppName=FeedDemon
AppVerName=FeedDemon 1.0
AppId=FeedDemon
AppPublisher=Bradbury Software, LLC
AppPublisherURL=http://www.bradsoft.com/
AppSupportURL=http://www.bradsoft.com/support/
AppUpdatesURL=http://www.bradsoft.com/
DefaultDirName={code:GetDefaultDir}
DefaultGroupName=FeedDemon
UninstallDisplayIcon={app}\FeedDemon.exe,0
UninstallDisplayName=FeedDemon
OutputBaseFilename=fd1esell
Compression=bzip2
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\FeedDemon.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Data\lang\Chinese (Simplified).fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Chinese (Traditional).fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Czech.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Deutsch.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Dutch.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\English.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Espanol.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Francais.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Galego.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Greek.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Hungarian.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Italiano.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Japanese.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Korean.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Norwegian.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Polski.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Russian.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\lang\Svenska.fdlang"; DestDir: "{app}\Data\lang"; Flags: ignoreversion 
Source: "{app}\Data\sounds\autodisc.wav"; DestDir: "{app}\Data\sounds"; Flags: ignoreversion 
Source: "{app}\Data\sounds\watch.wav"; DestDir: "{app}\Data\sounds"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\Default (large font).fdxsl"; DestDir: "{app}\Data\defaults\styles"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\Default.fdxsl"; DestDir: "{app}\Data\defaults\styles"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\Headlines.fdxsl"; DestDir: "{app}\Data\defaults\styles"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\Serif (large font).fdxsl"; DestDir: "{app}\Data\defaults\styles"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\Serif.fdxsl"; DestDir: "{app}\Data\defaults\styles"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\images\bg_stripes.gif"; DestDir: "{app}\Data\defaults\styles\images"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\images\comments.gif"; DestDir: "{app}\Data\defaults\styles\images"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\images\comments2.gif"; DestDir: "{app}\Data\defaults\styles\images"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\images\enclosure.gif"; DestDir: "{app}\Data\defaults\styles\images"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\images\enclosure2.gif"; DestDir: "{app}\Data\defaults\styles\images"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\images\favorite.gif"; DestDir: "{app}\Data\defaults\styles\images"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\images\flag.gif"; DestDir: "{app}\Data\defaults\styles\images"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\images\link.gif"; DestDir: "{app}\Data\defaults\styles\images"; Flags: ignoreversion 
Source: "{app}\Data\defaults\styles\images\unread.gif"; DestDir: "{app}\Data\defaults\styles\images"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Blogs and Blogging.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Bradbury Software.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\CNET Download.com.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Entertainment.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Favorite Channels.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Health.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Lockergnome.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\News.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Opinion.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\RollingStone.com.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Software.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Sports.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Technology.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\Groups\Web Authoring.opml"; DestDir: "{app}\Data\defaults\Groups"; Flags: ignoreversion 
Source: "{app}\Data\defaults\NewsBins\Default.rss"; DestDir: "{app}\Data\defaults\NewsBins"; Flags: ignoreversion 
Source: "{app}\Data\defaults\shortcuts.xml"; DestDir: "{app}\Data\defaults"; Flags: ignoreversion 
Source: "{app}\Data\BlogThis.dat"; DestDir: "{app}\Data"; Flags: ignoreversion 
Source: "{app}\Data\entities.xml"; DestDir: "{app}\Data"; Flags: ignoreversion 
Source: "{app}\Data\search\Daypop.xml"; DestDir: "{app}\Data\search"; Flags: ignoreversion 
Source: "{app}\Data\search\Feedster.xml"; DestDir: "{app}\Data\search"; Flags: ignoreversion 
Source: "{app}\ReadMe.html"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\license.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\FDUninstall.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{win}\eSellerateEngine.dll"; DestDir: "{win}"; Flags: sharedfile 
Source: "{win}\eSellerateControl350.dll"; DestDir: "{win}"; Flags: regserver sharedfile noregerror 

[Registry]
Root: HKCU; Subkey: "Software\Bradbury\FeedDemon\1.0"; ValueName: "FirstRun"; Flags: deletevalue 
Root: HKCU; Subkey: "Software\Bradbury\FeedDemon\1.0"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".fdxsl"; ValueType: String; ValueData: "FeedDemon.Style"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "FeedDemon.Style"; ValueType: String; ValueData: "FeedDemon Style"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "FeedDemon.Style\DefaultIcon"; ValueType: String; ValueData: "{app}\FeedDemon.EXE,0"; 
Root: HKCR; Subkey: "FeedDemon.Style\shell\open\command"; ValueType: String; ValueData: """{app}\FeedDemon.EXE"" ""%1"""; 
Root: HKCR; Subkey: ".fdlang"; ValueType: String; ValueData: "FeedDemon.Lang"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "FeedDemon.Lang"; ValueType: String; ValueData: "FeedDemon Language File"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "FeedDemon.Lang\DefaultIcon"; ValueType: String; ValueData: "{app}\FeedDemon.EXE,0"; 
Root: HKCR; Subkey: "FeedDemon.Lang\shell\open\command"; ValueType: String; ValueData: """{app}\FeedDemon.EXE"" ""%1"""; 

[INI]
FileName: "{app}\FeedDemon.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.bradsoft.com/"; 

[Run]
Filename: "{app}\FeedDemon.exe"; Description: "Launch FeedDemon"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\FDUninstall.exe"; Parameters: "/u"; 

[Icons]
Name: "{group}\FeedDemon"; Filename: "{app}\FeedDemon.exe"; 
Name: "{group}\Release Notes"; Filename: "{app}\ReadMe.html"; 
Name: "{group}\FeedDemon on the Web"; Filename: "{app}\FeedDemon.url"; 
Name: "{group}\Uninstall FeedDemon"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\FeedDemon"; Filename: "{app}\FeedDemon.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\FeedDemon"; Filename: "{app}\FeedDemon.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\FeedDemon.url"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
